Open Bug 1688445 Opened 1 year ago Updated 21 days ago

Intermittent devtools/client/responsive/test/browser/browser_window_close.js | Test timed out - | Found a browser window | Uncaught exception received from previously timed out test

Categories

(DevTools :: Responsive Design Mode, defect, P5)

defect

Tracking

(firefox93 fixed, firefox94 fixed)

REOPENED
94 Branch
Tracking Status
firefox93 --- fixed
firefox94 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: nchevobbe)

Details

(Keywords: intermittent-failure)

Attachments

(1 file, 3 obsolete files)

Filed by: malexandru [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer?job_id=327602253&repo=mozilla-central
Full log: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/LbMC_TeERXKZRp85qi8t9w/runs/1/artifacts/public/logs/live_backing.log


[task 2021-01-24T00:28:27.059Z] 00:28:27     INFO - TEST-START | devtools/client/responsive/test/browser/browser_window_close.js
[task 2021-01-24T00:28:27.068Z] 00:28:27     INFO - Entering test bound 
[task 2021-01-24T00:29:12.191Z] 00:29:12     INFO - Longer timeout required, waiting longer...  Remaining timeouts: 1
[task 2021-01-24T00:29:57.193Z] 00:29:57     INFO - TEST-INFO | started process screentopng
[task 2021-01-24T00:29:57.575Z] 00:29:57     INFO - TEST-INFO | screentopng: exit 0
[task 2021-01-24T00:29:57.575Z] 00:29:57     INFO - TEST-UNEXPECTED-FAIL | devtools/client/responsive/test/browser/browser_window_close.js | Test timed out - 
[task 2021-01-24T00:29:57.575Z] 00:29:57     INFO - TEST-PASS | devtools/client/responsive/test/browser/browser_window_close.js | The main process DevToolsServer has no pending connection when the test ends - 
[task 2021-01-24T00:29:57.576Z] 00:29:57     INFO - GECKO(3832) | MEMORY STAT | vsize 3819MB | residentFast 397MB | heapAllocated 127MB
[task 2021-01-24T00:29:57.577Z] 00:29:57     INFO - TEST-OK | devtools/client/responsive/test/browser/browser_window_close.js | took 90148ms
[task 2021-01-24T00:29:57.577Z] 00:29:57     INFO - checking window state
[task 2021-01-24T00:29:57.578Z] 00:29:57     INFO - Not taking screenshot here: see the one that was previously logged
[task 2021-01-24T00:29:57.578Z] 00:29:57     INFO - TEST-UNEXPECTED-FAIL | devtools/client/responsive/test/browser/browser_window_close.js | Found a browser window after previous test timed out - 
[task 2021-01-24T00:29:57.579Z] 00:29:57     INFO - GECKO(3832) | must wait for focus
[task 2021-01-24T00:29:57.579Z] 00:29:57     INFO - Not taking screenshot here: see the one that was previously logged
[task 2021-01-24T00:29:57.579Z] 00:29:57     INFO - TEST-UNEXPECTED-FAIL | devtools/client/responsive/test/browser/browser_window_close.js | Uncaught exception received from previously timed out test - at chrome://mochitests/content/browser/devtools/client/responsive/test/browser/head.js:213 - ReferenceError: ok is not defined
[task 2021-01-24T00:29:57.580Z] 00:29:57     INFO - Stack trace:
[task 2021-01-24T00:29:57.580Z] 00:29:57     INFO - addRDMTaskWithPreAndPost/<@chrome://mochitests/content/browser/devtools/client/responsive/test/browser/head.js:213:7
[task 2021-01-24T00:29:57.580Z] 00:29:57     INFO - Async*Tester_execTest/<@chrome://mochikit/content/browser-test.js:1088:34
[task 2021-01-24T00:29:57.580Z] 00:29:57     INFO - Tester_execTest@chrome://mochikit/content/browser-test.js:1128:11
[task 2021-01-24T00:29:57.580Z] 00:29:57     INFO - nextTest/<@chrome://mochikit/content/browser-test.js:948:14
[task 2021-01-24T00:29:57.580Z] 00:29:57     INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:1037:23
[task 2021-01-24T00:29:57.580Z] 00:29:57     INFO - TEST-START | devtools/client/responsive/test/browser/browser_window_sizing.js```
Status: NEW → RESOLVED
Closed: 11 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 11 months ago9 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Summary: Intermittent devtools/client/responsive/test/browser/browser_window_close.js | Test timed out - | Uncaught exception received from previously timed out test → Intermittent devtools/client/responsive/test/browser/browser_window_close.js | Test timed out - | Found a browser window | Uncaught exception received from previously timed out test

Update:
There have been 29 failures within the last 7 days:
• 11 failures on Linux 18.04 x64 WebRender opt
• 18 failures on Linux 18.04 x64 WebRender Shippable opt
Recent failure log: https://treeherder.mozilla.org/logviewer?job_id=348448217&repo=mozilla-central&lineNumber=15708

[task 2021-08-14T23:05:13.570Z] 23:05:13     INFO - TEST-START | devtools/client/responsive/test/browser/browser_window_close.js
[task 2021-08-14T23:05:13.577Z] 23:05:13     INFO - Entering test bound 
[task 2021-08-14T23:05:58.785Z] 23:05:58     INFO - Longer timeout required, waiting longer...  Remaining timeouts: 1
[task 2021-08-14T23:06:43.789Z] 23:06:43     INFO - TEST-INFO | started process screentopng
[task 2021-08-14T23:06:44.283Z] 23:06:44     INFO - TEST-INFO | screentopng: exit 0
[task 2021-08-14T23:06:44.284Z] 23:06:44     INFO - TEST-UNEXPECTED-FAIL | devtools/client/responsive/test/browser/browser_window_close.js | Test timed out - 
[task 2021-08-14T23:06:44.284Z] 23:06:44     INFO - TEST-PASS | devtools/client/responsive/test/browser/browser_window_close.js | The main process DevToolsServer has no pending connection when the test ends - 
[task 2021-08-14T23:06:44.286Z] 23:06:44     INFO - GECKO(3830) | MEMORY STAT | vsize 4261MB | residentFast 646MB | heapAllocated 349MB
[task 2021-08-14T23:06:44.286Z] 23:06:44     INFO - TEST-OK | devtools/client/responsive/test/browser/browser_window_close.js | took 90233ms
[task 2021-08-14T23:06:44.286Z] 23:06:44     INFO - checking window state
[task 2021-08-14T23:06:44.286Z] 23:06:44     INFO - Not taking screenshot here: see the one that was previously logged
[task 2021-08-14T23:06:44.286Z] 23:06:44     INFO - TEST-UNEXPECTED-FAIL | devtools/client/responsive/test/browser/browser_window_close.js | Found a browser window after previous test timed out - 
[task 2021-08-14T23:06:44.286Z] 23:06:44     INFO - GECKO(3830) | must wait for focus
[task 2021-08-14T23:06:44.287Z] 23:06:44     INFO - Not taking screenshot here: see the one that was previously logged
[task 2021-08-14T23:06:44.287Z] 23:06:44     INFO - TEST-UNEXPECTED-FAIL | devtools/client/responsive/test/browser/browser_window_close.js | Uncaught exception received from previously timed out test - at chrome://mochitests/content/browser/devtools/client/responsive/test/browser/head.js:201 - ReferenceError: ok is not defined
[task 2021-08-14T23:06:44.288Z] 23:06:44     INFO - Stack trace:
[task 2021-08-14T23:06:44.288Z] 23:06:44     INFO - addRDMTaskWithPreAndPost/<@chrome://mochitests/content/browser/devtools/client/responsive/test/browser/head.js:201:7
[task 2021-08-14T23:06:44.289Z] 23:06:44     INFO - Async*Tester_execTest/<@chrome://mochikit/content/browser-test.js:1091:34
[task 2021-08-14T23:06:44.290Z] 23:06:44     INFO - Tester_execTest@chrome://mochikit/content/browser-test.js:1131:11
[task 2021-08-14T23:06:44.291Z] 23:06:44     INFO - nextTest/<@chrome://mochikit/content/browser-test.js:939:14
[task 2021-08-14T23:06:44.291Z] 23:06:44     INFO - SimpleTest.waitForFocus/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:1041:13
[task 2021-08-14T23:06:44.292Z] 23:06:44     INFO - TEST-START | devtools/client/responsive/test/browser/browser_window_sizing.js
QA Whiteboard: [stockwell needswork:owner]

Hi Nicholas, can you please take a look at this?

There are 67 total failures in the last 7 days on

task 2021-09-17T07:24:06.420Z] 07:24:06     INFO - checking window state
[task 2021-09-17T07:24:06.453Z] 07:24:06     INFO - TEST-START | devtools/client/responsive/test/browser/browser_window_close.js
[task 2021-09-17T07:24:06.479Z] 07:24:06     INFO - Entering test bound 
[task 2021-09-17T07:24:51.693Z] 07:24:51     INFO - Longer timeout required, waiting longer...  Remaining timeouts: 1
[task 2021-09-17T07:25:36.696Z] 07:25:36     INFO - TEST-INFO | started process screentopng
[task 2021-09-17T07:25:37.205Z] 07:25:37     INFO - TEST-INFO | screentopng: exit 0
[task 2021-09-17T07:25:37.208Z] 07:25:37     INFO - TEST-UNEXPECTED-FAIL | devtools/client/responsive/test/browser/browser_window_close.js | Test timed out - 
[task 2021-09-17T07:25:37.209Z] 07:25:37     INFO - TEST-PASS | devtools/client/responsive/test/browser/browser_window_close.js | The main process DevToolsServer has no pending connection when the test ends - 
[task 2021-09-17T07:25:37.209Z] 07:25:37     INFO - GECKO(3614) | MEMORY STAT | vsize 4220MB | residentFast 651MB | heapAllocated 354MB
[task 2021-09-17T07:25:37.209Z] 07:25:37     INFO - TEST-OK | devtools/client/responsive/test/browser/browser_window_close.js | took 90257ms
[task 2021-09-17T07:25:37.210Z] 07:25:37     INFO - checking window state
[task 2021-09-17T07:25:37.210Z] 07:25:37     INFO - Not taking screenshot here: see the one that was previously logged
[task 2021-09-17T07:25:37.210Z] 07:25:37     INFO - TEST-UNEXPECTED-FAIL | devtools/client/responsive/test/browser/browser_window_close.js | Found a browser window after previous test timed out - 
[task 2021-09-17T07:25:37.211Z] 07:25:37     INFO - GECKO(3614) | must wait for focus
[task 2021-09-17T07:25:37.212Z] 07:25:37     INFO - Not taking screenshot here: see the one that was previously logged
[task 2021-09-17T07:25:37.214Z] 07:25:37     INFO - TEST-UNEXPECTED-FAIL | devtools/client/responsive/test/browser/browser_window_close.js | Uncaught exception received from previously timed out test - at chrome://mochitests/content/browser/devtools/client/responsive/test/browser/head.js:201 - ReferenceError: ok is not defined
[task 2021-09-17T07:25:37.214Z] 07:25:37     INFO - Stack trace:
[task 2021-09-17T07:25:37.214Z] 07:25:37     INFO - addRDMTaskWithPreAndPost/<@chrome://mochitests/content/browser/devtools/client/responsive/test/browser/head.js:201:7
[task 2021-09-17T07:25:37.214Z] 07:25:37     INFO - Async*Tester_execTest/<@chrome://mochikit/content/browser-test.js:1091:34
[task 2021-09-17T07:25:37.214Z] 07:25:37     INFO - Tester_execTest@chrome://mochikit/content/browser-test.js:1131:11
[task 2021-09-17T07:25:37.214Z] 07:25:37     INFO - nextTest/<@chrome://mochikit/content/browser-test.js:939:14
[task 2021-09-17T07:25:37.215Z] 07:25:37     INFO - SimpleTest.waitForFocus/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:1041:13
Flags: needinfo?(nchevobbe)
Assignee: nobody → apavel
Assignee: apavel → nobody
Keywords: leave-open

I'm investigating now, I think I have a lead

Flags: needinfo?(nchevobbe)

The test seemed to fail because the page was already loaded when we started
awaiting for BrowserTestUtils.browserLoaded.
This patch removes it and instead pass an url param to BrowserTestUtils.waitForNewWindow,
which means we'll wait for the page to be loaded.

Pushed by nchevobbe@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/6b5b99ffb002
[devtools] Fix browser/browser_window_close.js intermittent. r=jdescottes.
Status: REOPENED → RESOLVED
Closed: 9 months ago4 months ago
Keywords: leave-open
Resolution: --- → FIXED
Assignee: nobody → nchevobbe
Target Milestone: --- → 94 Branch
Attachment #9241775 - Attachment is obsolete: true

In order to include the class statick block plugin, babel-core needs to be updated.
And as babel-core is updated, other packages relying on it also need to be updated.
One of them is jest, which requires a few changes in the test setting + a workaround
for CodeMirror test.
A few snapshots are updated as some methods changed their return values.
Finally, we're forcing the workerjs babel core dependency so it doesn't use a different
version. We should probably either update the dependency on jlast's repo, or directly
put the workerjs in tree, but we can do that on a dedicated bug.

The associated plugin is added to the babel config (and different locations where
we're using babel parsing).
The existing class for the getSymbols jest test is modified to include a few of
the latest class syntax (public and private properties, static block, ...).

Depends on D126770

Comment on attachment 9243193 [details]
Bug 1688445 - [devtools] Update babel-core and associated packages. r=jdescottes.

Revision D126770 was moved to bug 1730475. Setting attachment 9243193 [details] to obsolete.

Attachment #9243193 - Attachment is obsolete: true

Comment on attachment 9243194 [details]
Bug 1688445 - [devtools] Handle sources with class static block. r=bomsy

Revision D126771 was moved to bug 1730475. Setting attachment 9243194 [details] to obsolete.

Attachment #9243194 - Attachment is obsolete: true
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
You need to log in before you can comment on or make changes to this bug.